<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Patent Categorization</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"/>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container">
        <a class="navbar-brand" th:href="@{/}">Patent Categorization</a>
        <div class="collapse navbar-collapse">
        </div>
    </div>
</nav>

<div class="container fluid pt-3">
    <div class="row">
    <div class="card col-md-6">
        <div class="card-header">
            <p class="lead">Overall model statistics</p>
        </div>
        <div class="card-body">
            <dl class="row">
                <dt class="col-sm-5"></dt>
                <dd class="col-sm-7">
                    <div class="row">
                        <span class="col-sm-4">Accuracy</span>
                        <span class="col-sm-4">Precision</span>
                        <span class="col-sm-4">Recall</span>
                    </div>
                </dd>
                <dt class="col-sm-5">Logistic Regression Classification</dt>
                <dd class="col-sm-7">
                    <div class="row">
                        <span th:utext="${logisticRegressionService.getAccuracy()}" class="badge badge-primary col-sm-4">...</span>
                        <span th:utext="${logisticRegressionService.getPrecision()}" class="badge badge-secondary col-sm-4">...</span>
                        <span th:utext="${logisticRegressionService.getRecall()}" class="badge badge-success col-sm-4">...</span>
                    </div>
                </dd>
                <dt class="col-sm-5">Random Forest Classification</dt>
                <dd class="col-sm-7">
                    <div class="row">
                        <span th:utext="${randomForrestService.getAccuracy()}" class="badge badge-primary col-sm-4">...</span>
                        <span th:utext="${randomForrestService.getPrecision()}" class="badge badge-secondary col-sm-4">...</span>
                        <span th:utext="${randomForrestService.getRecall()}" class="badge badge-success col-sm-4">...</span>
                    </div>
                <dt class="col-sm-5">Linear SVC Classification</dt>
                <dd class="col-sm-7">
                    <div class="row">
                        <span th:utext="${svcService.getAccuracy()}" class="badge badge-primary col-sm-4">...</span>
                        <span th:utext="${svcService.getPrecision()}" class="badge badge-secondary col-sm-4">...</span>
                        <span th:utext="${svcService.getRecall()}" class="badge badge-success col-sm-4">...</span>
                    </div>
            </dl>
        </div>
    </div>
        <div class="card col-md-6">
            <div class="card-header">
                <p class="lead">Model precision per category</p>
            </div>
            <div class="card-body">
                <table class="table">
                    <thead>
                    <tr>
                        <th>Category</th>
                        <th>Logistic Regression Precision</th>
                        <th>Random Forrest Precision</th>
                        <th>Linear SVC Precision</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="key: ${randomForrestMap.keySet()}">
                        <td th:text="${key}">Cat</td>
                        <td th:text="${logisticMap.get(key)}">2.41</td>
                        <td th:text="${randomForrestMap.get(key)}">2.41</td>
                        <td th:text="${svcMap.get(key)}">2.41</td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

</br>
    <div class="col-lg-12">
        <div class="container">
            <form action="#" th:action="@{/predict}" th:object="${patent}" method="post">
                <div class="form-group row">
                    <label for="pubAbstract" class="col-sm-2 col-form-label">Abstract</label>
                    <div class="col-sm-10">
                        <textarea th:field="*{pubAbstract}" class="form-control" rows="6" id="pubAbstract" placeholder="Abstract"></textarea>
                    </div>
                </div>
                <div class="form-group row">
                    <label for="inventors" class="col-sm-2 col-form-label">Inventors</label>
                    <div class="col-sm-10">
                        <textarea th:field="*{inventors}" class="form-control" rows="2" id="inventors" placeholder="Inventors"></textarea>
                    </div>
                </div>
                <tr>
                    <td><input class="btn btn-dark btn-sm" type="submit" value="Get Preditions"/></td>
                </tr>
            </form>
        </div>
    </div>

    <div class="container fluid pt-3" th:if="${randomForrestPrediction}">
        <div class="card">
            <div class="card-header">
                <p class="lead">Results</p>
            </div>
            <div class="card-body">
                    <div class="alert alert-success" role="alert" th:if="${logisticRegressionPrediction}" th:text="'Logistic Regression prediction: ' + ${logisticRegressionPrediction}">
                        ...
                    </div>
                    <div class="alert alert-secondary" role="alert" th:if="${randomForrestPrediction}" th:text="'Random Forrest prediction: ' + ${randomForrestPrediction}">
                        ...
                    </div>
                    <div class="alert alert-dark" role="alert" th:if="${svcPrediction}" th:text="'Linear SVC prediction: ' + ${svcPrediction}">
                        ...
                    </div>
            </div>
        </div>
    </div>
</body>
</html>